# $Revision: 1.6 $, $Date: 2006/12/23 17:49:31 $
%define		_samba_ver	3.0.23
Summary:	Samba pdbsql - *SQL passdb backends
Summary(pl):	Samba pdbsql - backendy *SQL dla passdb
Name:		samba-pdbsql
Version:	0.1
Release:	2
Epoch:		2
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/pdbsql/pdbsql-%{version}-samba_%{_samba_ver}.tar.bz2
# Source0-md5:	52b18a8d18eac908d2c06b250c269eb3
Patch0:		%{name}-build.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	samba-devel
URL:		http://pdbsql.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir	%{_prefix}/%{_lib}/samba

%description
As of release 3.0.23, support for MySQL and PostgreSQL passdb backends
has been removed from the Samba tree, due to the lack of active
maintainer. We now provide this here as an external module for samba.

%description -l pl
Wraz z wydaniem 3.0.23 backendy MySQL i PostgreSQL dla passdb zostay
usunite z drzewa Samby ze wzgldu na brak aktywnego maintainera. Ten
pakiet udostpnia je jako zewntrzne moduy dla pakietu samba.


%package -n samba-pdb-mysql
Summary:	Samba MySQL password database plugin
Summary(pl):	Wtyczka Samby do przechowywania hase w bazie MySQL
Group:		Networking/Daemons
Requires:	samba >= 1:%{_samba_ver}

%description -n samba-pdb-mysql
Samba MySQL password database plugin.

%description -n samba-pdb-mysql -l pl
Wtyczka Samby do przechowywania hase w bazie MySQL.

%package -n samba-pdb-pgsql
Summary:	Samba PostgreSQL password database plugin
Summary(pl):	Wtyczka Samby do przechowywania hase w bazie PostgreSQL
Group:		Networking/Daemons
Requires:	samba >= 1:%{_samba_ver}

%description -n samba-pdb-pgsql
Samba PostgreSQL password database plugin.

%description -n samba-pdb-pgsql -l pl
Wtyczka Samby do przechowywania hase w bazie PostgreSQL.

%package -n samba-pdb-multi
Summary:	Samba backend which loads multiple passdb backends
Summary(pl):	Backend Samby wczytujcy wiele backendw passdb
Group:		Networking/Daemons
Requires:	samba >= 1:%{_samba_ver}

%description -n samba-pdb-multi
Samba backend which loads multiple passdb backends.

%description -n samba-pdb-multi -l pl
Backend Samby wczytujcy wiele backendw passdb.

%prep
%setup -q -n pdbsql-%{version}-samba_%{_samba_ver}
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure \
	--with-samba-dir=%{_includedir}/samba
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files -n samba-pdb-mysql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pdb/mysql.so

%files -n samba-pdb-pgsql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pdb/pgsql.so

%files -n samba-pdb-multi
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pdb/multi.so

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: samba-pdbsql.spec,v $
Revision 1.6  2006/12/23 17:49:31  hawk
- release 2 to rebuild with PostgreSQL 8.2

Revision 1.5  2006/08/22 14:42:13  glen
- rel 1

Revision 1.4  2006/07/26 20:20:28  qboosh
- remaining pl

Revision 1.3  2006/07/25 09:30:39  glen
- package pdb/multi.so

Revision 1.2  2006/07/25 09:03:08  glen
- build with samba-devel package

Revision 1.1  2006/07/25 08:27:43  glen
- new (since 3.0.23 MySQL and PostGreSQL passdb backends has been removed from the Samba tree)
